Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update Channel Content Override

Partially updates an existing channel content override. Allows modification of text values or relationship associations based on the field type.

PATCH/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/{content_id}
Path parameters
team_slugstringrequired

Team slug

app_slugstringrequired

App slug

channel_idstringrequired

Channel ID

content_idstringrequired

Content ID

Request body
requiredapplication/json

Channel content update data

relationshipsstring[]
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue
language_codestring
valuestring
valuestring
Responses
200

OK

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelContentrequired
Show properties
created_atstring
field_typestring
idstring
parent_idstring
parent_typestring
previewstring[]
relationshipsstring[]
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue
language_codestring
valuestring
updated_atstring
valuestring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Bad Request

detailsstring[]
messagestring
successbooleanrequired
404

Not Found

detailsstring[]
messagestring
successbooleanrequired
500

Internal Server Error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v1/string/string/channels/string/content/string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "relationships": [
    "string"
  ],
  "translations": [
    {
      "language_code": "string",
      "value": "string"
    }
  ],
  "value": "string"
}'
Response
{
  "data": {
    "created_at": "string",
    "field_type": "string",
    "id": "string",
    "parent_id": "string",
    "parent_type": "string",
    "preview": [
      "string"
    ],
    "relationships": [
      "string"
    ],
    "translations": [
      {
        "language_code": "string",
        "value": "string"
      }
    ],
    "updated_at": "string",
    "value": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}